{
***********************************************************************
*                                                                     *
*      LMD-Tools V1.X                                                 *
*                                                                     *
*       95, 96 by LMD Innovative                                     *
*                                                                     *
*      For support or information contact us at:                      *
*       CompuServe : 100416,376                                       *
*       Internet   : 100416.376@compuserve.com                        *
*       Fax        : +49 271 356952                                   *
*                                                                     *
*      This code is for reference purposes only and may not be copied *
*      or distributed in any format electronic or otherwise except    *
*      one copy for backup purposes.                                  *
*                                                                     *
*      No Delphi Component Kit or Component individually or in        *
*      a collection, subclassed or otherwise from the code in this    *
*      unit, or associated .pas, .dfm, .dcu, or .dll files            *
*      may be sold or distributed without express permission          *
*      from LMD Innovative.                                           *
*                                                                     *
*      For more licence informations please refer to the associated   *
*      HelpFile.                                                      *
*                                                                     *
***********************************************************************
}

unit Lmdreg ;
{$I Global.Inc}

interface

uses Classes, lmdobj, dialogs;

procedure Register;

{-----------------------------------------------------------------------------}
implementation

uses DsgnIntf, lmdvcl, graphics,
     {editors}
     lmdpewav, lmdpeclp, lmdpeacp, lmdpepic, lmdpebev,
     lmdpegra, lmdpeffx,
     {components}
     lmdabout, lmdtips, lmdTile, lmdscrsv,
     lmdjoyst, lmdhitim, lmdfile, lmdmeter,
     lmdruler, lmdwave, lmdlabel, lmdpanel,
     lmdpclip, lmdanimg, lmdimage, lmdled,
     lmdclock,
     lmddbctr,
     lmdfree ;

procedure Register;
begin

  {Property-Editors}
  {----------------------------------------------------------------------------}
  {About-Property}
  RegisterPropertyEditor( TypeInfo( TAboutVar ), nil, '', TAboutVarProperty );
  {Property Filename}
  RegisterPropertyEditor( TypeInfo( String ), TLMDFile, 'FileName', TFileNameProperty );
  {Property HelpFile}
  RegisterPropertyEditor( TypeInfo( String ), TLMDApp, 'HelpFile', THelpfileNameProperty );
  {TDateTime}
  RegisterPropertyEditor(TypeInfo(TDateTime), TLMDClock, '', TDateTimeProperty);
  {TLMDWave}
  RegisterPropertyEditor( TypeInfo( TLMDWave ), nil, '', TWaveProperty);
  {TLMDClip}
  RegisterPropertyEditor( TypeInfo( TLMDClip ), nil, '', TClipProperty);
  {TLMDAniClip}
  RegisterPropertyEditor( TypeInfo( TLMDAniClip ), nil, '', TAniClipProperty);
  {TLMDBevel}
  RegisterPropertyEditor( TypeInfo( TLMDBevel ), nil, '', TBevelProperty);
  {TLMDGradient}
  RegisterPropertyEditor( TypeInfo( TLMDGradient ), nil, '', TGradientProperty);
  {TLMDFontFx}
  RegisterPropertyEditor( TypeInfo( TLMDFxCaption ), nil, '', TFxProperty);

  {TPicture/Graphic}
  {outcomment these two lines, if you don't want the extendet TPicture-Editor}
  RegisterPropertyEditor(TypeInfo(TPicture), nil, '', TLMDPictureProperty);
  RegisterPropertyEditor(TypeInfo(TGraphic), nil, '', TLMDGraphicProperty);

  {Component-Editors}
  {----------------------------------------------------------------------------}
  {TLMDAniClip-Editor}
  RegisterComponentEditor(TLMDAniPicClip, TAniClipEditor);
  {TLMDPicClip-Editor}
  RegisterComponentEditor(TLMDPicClip, TClipEditor);
  {TLMDAniImage-Editor}
  RegisterComponentEditor(TLMDAniImage, TAniEditor);
  {TLMDWaveComp}
  RegisterComponentEditor(TLMDWaveComp, TWaveEditor);
  {TLMDAboutDlg, TLMDTipDlg}
  RegisterComponentEditor(TLMDAboutDlg, TDlgEditor);
  RegisterComponentEditor(TLMDTipDlg, TDlgEditor);

  {Components}
  {----------------------------------------------------------------------------}
  {Dialogs}
  RegisterComponents('LMD', [TLMDAboutDlg, TLMDDirDlg, TLMDTipDlg]);

  {System}
  RegisterComponents('LMD', [TLMDApp, TLMDFile, TLMDSysInfo]);

  {Multimedia/Graphic}
  RegisterComponents('LMD', [TLMDHiTimer, TLMDJoystick, TLMDScreenSaver,
                             TLMDTile, TLMDWaveComp]);

  {Visual Controls}
  RegisterComponents('LMD', [TLMDLabel, TLMDMeter, TLMDPanel, TLMDRuler]);

  {New Controls V1.1}
  RegisterComponents('LMD', [TLMDPicClip, TLMDAniPicClip, TLMDAniImage, TLMDImage,
                             TLMDClock, TLMDLEDLabel]);

  {Datasensitive components}
  RegisterComponents('LMDDB', [TLMDDBLEDLabel, TLMDDBLabel]);

end ;

end.
